Bug 809633 - Review Request: perl-HTML-TreeBuilder-LibXML - HTML::TreeBuilder and XPath compatible interface with libxml
Review Request: perl-HTML-TreeBuilder-LibXML - HTML::TreeBuilder and XPath co...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
: 664912 (view as bug list)
Depends On:
Blocks: 664920
  Show dependency treegraph
 
Reported: 2012-04-03 17:06 EDT by Emmanuel Seyman
Modified: 2012-04-14 19:20 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-HTML-TreeBuilder-LibXML-0.16-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 22:52:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2012-04-03 17:06:27 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-HTML-TreeBuilder-LibXML/perl-HTML-TreeBuilder-LibXML-0.16-1.fc16.src.rpm
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-HTML-TreeBuilder-LibXML/perl-HTML-TreeBuilder-LibXML-0.16-1.fc16.src.rpm
Description:
HTML::TreeBuilder::XPath is a libxml based compatible interface to
HTML::TreeBuilder, which could be slow for a large document.
HTML::TreeBuilder::LibXML is drop-in-replacement for HTML::TreeBuilder::XPath.

rpmlint output is clean.
Comment 1 Emmanuel Seyman 2012-04-03 17:14:53 EDT
*** Bug 664912 has been marked as a duplicate of this bug. ***
Comment 2 Petr Pisar 2012-04-04 04:14:29 EDT
The Spec URL is invalid. Using spec file from SRPM.

Source file is original. Ok.
Summary verified from lib/HTML/TreeBuilder/LibXML.pm. Ok.
License verified from lib/HTML/TreeBuilder/LibXML.pm. Ok.
Description verified from lib/HTML/TreeBuilder/LibXML.pm. Ok.
Source and URL values are usable. Ok.
No XS code, noarch BuildArch is Ok.

TODO: I recommend removing inc directory (bundled modules) and build-require `perl(inc::Module::Install)' instead of `perl(ExtUtils::MakeMaker)' (Makefile.PL:1).

TODO: Build-require `perl(base)' because the module can dual-live the future (lib/HTML/TreeBuilder/LibXML.pm:6, http://search.cpan.org/~rgarcia/base/).
TODO: Build-require `perl(Data::Dumper)' because the module can dual-live in the future (t/01_simple.t:5, http://search.cpan.org/~smueller/Data-Dumper/).

Otherwise build-time dependencies are Ok.

TODO: Remove useless %defattr(-,root,root,-) from %files section.

All tests pass. Ok.

$ rpmlint perl-HTML-TreeBuilder-LibXML.spec ../SRPMS/perl-HTML-TreeBuilder-LibXML-0.16-1.fc18.src.rpm ../RPMS/noarch/perl-HTML-TreeBuilder-LibXML-0.16-1.fc18.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-HTML-TreeBuilder-LibXML-0.16-1.fc18.noarch.rpm
drwxr-xr-x    2 root    root                        0 Apr  4 09:33 /usr/share/doc/perl-HTML-TreeBuilder-LibXML-0.16
-rw-r--r--    1 root    root                     2651 Apr  2 14:29 /usr/share/doc/perl-HTML-TreeBuilder-LibXML-0.16/Changes
-rw-r--r--    1 root    root                      576 Sep 21  2011 /usr/share/doc/perl-HTML-TreeBuilder-LibXML-0.16/README
-rw-r--r--    1 root    root                     2471 Apr  4 09:33 /usr/share/man/man3/HTML::TreeBuilder::LibXML.3pm.gz
-rw-r--r--    1 root    root                     2045 Apr  4 09:33 /usr/share/man/man3/HTML::TreeBuilder::LibXML::Node.3pm.gz
drwxr-xr-x    2 root    root                        0 Apr  4 09:33 /usr/share/perl5/vendor_perl/HTML
drwxr-xr-x    2 root    root                        0 Apr  4 09:33 /usr/share/perl5/vendor_perl/HTML/TreeBuilder
drwxr-xr-x    2 root    root                        0 Apr  4 09:33 /usr/share/perl5/vendor_perl/HTML/TreeBuilder/LibXML
-rw-r--r--    1 root    root                     4083 Apr  2 14:30 /usr/share/perl5/vendor_perl/HTML/TreeBuilder/LibXML.pm
-rw-r--r--    1 root    root                     5905 Nov 29 19:20 /usr/share/perl5/vendor_perl/HTML/TreeBuilder/LibXML/Node.pm
File permissions and layout are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-HTML-TreeBuilder-LibXML-0.16-1.fc18.noarch.rpm |sort |uniq -c
      1 perl >= 0:5.008001
      1 perl(base)
      1 perl(Carp)
      1 perl(HTML::TreeBuilder::LibXML::Node)
      1 perl(HTML::TreeBuilder::XPath) >= 0.14
      1 perl(:MODULE_COMPAT_5.14.2)
      1 perl(strict)
      1 perl(warnings)
      1 perl(XML::LibXML)
      1 perl(XML::LibXML) >= 1.7
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
TODO: Remove unversioned `perl(XML::LibXML)' run-time dependency.

$ rpm -q --provides -p ../RPMS/noarch/perl-HTML-TreeBuilder-LibXML-0.16-1.fc18.noarch.rpm |sort |uniq -c
      1 perl(HTML::TreeBuilder::LibXML) = 0.16
      1 perl-HTML-TreeBuilder-LibXML = 0.16-1.fc18
      1 perl(HTML::TreeBuilder::LibXML::Node)
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-HTML-TreeBuilder-LibXML-0.16-1.fc18.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F18 (http://koji.fedoraproject.org/koji/taskinfo?taskID=3962594). Ok.

Otherwise package is in line with Fedora and Perl packaging guidelines.

Please consider fixing `TODO' items before building this package.
Resolution: Package APPROVED.
Comment 3 Emmanuel Seyman 2012-04-04 11:13:27 EDT
(In reply to comment #2)
> The Spec URL is invalid. Using spec file from SRPM.

Oups. Sorry about that.

> TODO: I recommend removing inc directory (bundled modules) and build-require
> `perl(inc::Module::Install)' instead of `perl(ExtUtils::MakeMaker)'
> (Makefile.PL:1).

I've replaced the BR but removing the inc directory makes the build fail

> TODO: Build-require `perl(base)' because the module can dual-live the future
> (lib/HTML/TreeBuilder/LibXML.pm:6, http://search.cpan.org/~rgarcia/base/).

Done

> TODO: Build-require `perl(Data::Dumper)' because the module can dual-live in
> the future (t/01_simple.t:5, http://search.cpan.org/~smueller/Data-Dumper/).

Done

> TODO: Remove useless %defattr(-,root,root,-) from %files section.

Done

> TODO: Remove unversioned `perl(XML::LibXML)' run-time dependency.

Done. I added the perl default filter while I was at it.

Spec URL:
http://people.parinux.org/~seyman/fedora/perl-HTML-TreeBuilder-LibXML/perl-HTML-TreeBuilder-LibXML.spec
SRPM URL:
http://people.parinux.org/~seyman/fedora/perl-HTML-TreeBuilder-LibXML/perl-HTML-TreeBuilder-LibXML-0.16-2.fc16.src.rpm

Requesting SCM while I'm at it.

New Package SCM Request
==================
Package Name: perl-HTML-TreeBuilder-LibXML
Short Description: HTML::TreeBuilder and XPath compatible interface with libxml
Owners: eseyman
Branches: f16 f17
InitialCC: perl-sig
Comment 4 Gwyn Ciesla 2012-04-04 11:23:58 EDT
Git done (by process-git-requests).
Comment 5 Petr Pisar 2012-04-04 11:53:22 EDT
> > TODO: I recommend removing inc directory (bundled modules) and build-require
> > `perl(inc::Module::Install)' instead of `perl(ExtUtils::MakeMaker)'
> > (Makefile.PL:1).
>
> I've replaced the BR but removing the inc directory makes the build fail

That's possible. I did not checked it. Upstream sometimes puts changes which makes inc iremovable. After quick checking, I think missing Module::Install::AuthorTests (not yet packaged) prevents from removing the inc.

If you decide to keep the inc, you could add some new BuildRequires like Carp or File::Spec because they are used from inc-ed code. Although they are pulled in by inc::Module::Install either.
Comment 6 Fedora Update System 2012-04-05 01:26:49 EDT
perl-HTML-TreeBuilder-LibXML-0.16-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-HTML-TreeBuilder-LibXML-0.16-2.fc16
Comment 7 Fedora Update System 2012-04-05 01:26:58 EDT
perl-HTML-TreeBuilder-LibXML-0.16-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-HTML-TreeBuilder-LibXML-0.16-2.fc17
Comment 8 Fedora Update System 2012-04-05 14:26:41 EDT
perl-HTML-TreeBuilder-LibXML-0.16-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-04-11 22:52:09 EDT
perl-HTML-TreeBuilder-LibXML-0.16-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 10 Fedora Update System 2012-04-14 19:20:57 EDT
perl-HTML-TreeBuilder-LibXML-0.16-2.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.